Piwigo Bugtracker

Piwigo bug tracker has moved to Github

This bugtracker is kept to provide history on old issues.


View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002965Piwigootherpublic2013.10.07 13:552013.11.05 20:23
Reportermsakik 
Assigned Toplg 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version2.6.0beta2Fixed in Version2.6.0beta2 
Summary0002965: use phpmailer to send emails
DescriptionThis is a patch to file functions_mail.inc.php changing from class_smtp_mail.inc.php to phpmailer/class.phpmailer.php

It is done for using auth smtp set in local files editor.
The phpmailer folder must be in the correct path and is not in the diff file.
Steps To ReproduceAply diff
copy phpmailer folder from https://github.com/Synchro/PHPMailer [^]
set at local_files_editor:
$conf['smtp_host']
$conf['smtp_user']
$conf['smtp_password']
Additional InformationNeed more work. Just here to present to the forum.
http://piwigo.org/forum/viewtopic.php?pid=146743#p146743 [^]
TagsNo tags attached.
browserany
Database engine and version
PHP version
Web serverApache 1.3.x
Attached Filespatch file icon functions_mail.inc.php.patch [^] (3,582 bytes) 2013.10.07 13:55 [Show Content]

- Relationships
related to 0002995closedmistic100 New email template 

-  Notes
(0007136)
svn (reporter)
2013.10.17 15:05

[Subversion] r24951 by plg on trunk

-----[Subversion commit log]----------------------------------------------------
feature 2965: replace custom mail functions by PHPMailer (version 5.2.7).
Based on patch by msakik.

function pwg_send_mail no longer used (all is done in pwg_mail)

new param $conf['smtp_secure']

work still in progress, some obsolete code must be removed
(0007137)
svn (reporter)
2013.10.17 15:24

[Subversion] r24952 by plg on trunk

-----[Subversion commit log]----------------------------------------------------
feature 2965: move phpmailer files in a specific directory
(0007138)
svn (reporter)
2013.10.17 15:25

[Subversion] r24953 by plg on trunk

-----[Subversion commit log]----------------------------------------------------
feature 2965: move phpmailer files in a specific directory
(0007220)
svn (reporter)
2013.11.05 20:23

[Subversion] r25344 by mistic100 on trunk

-----[Subversion commit log]----------------------------------------------------
feature 2965: apply new template on pwg_mail()
TODO : review other mail functions, configuration GUI

- Issue History
Date Modified Username Field Change
2013.10.07 13:55 msakik New Issue
2013.10.07 13:55 msakik File Added: functions_mail.inc.php.patch
2013.10.07 13:55 msakik browser => any
2013.10.07 13:55 msakik Web server => Apache 1.3.x
2013.10.17 15:05 svn Checkin
2013.10.17 15:05 svn Note Added: 0007136
2013.10.17 15:06 plg Assigned To => plg
2013.10.17 15:06 plg Status new => assigned
2013.10.17 15:06 plg Target Version => 2.6.0beta2
2013.10.17 15:06 plg Summary 1st propose to use phpmailer => use phpmailer to send emails
2013.10.17 15:24 svn Checkin
2013.10.17 15:24 svn Note Added: 0007137
2013.10.17 15:25 svn Checkin
2013.10.17 15:25 svn Note Added: 0007138
2013.11.01 13:50 plg Status assigned => closed
2013.11.01 13:50 plg Resolution open => fixed
2013.11.01 13:50 plg Fixed in Version => 2.6.0beta2
2013.11.05 20:23 svn Checkin
2013.11.05 20:23 svn Note Added: 0007220
2013.11.06 16:39 mistic100 Relationship added related to 0002995


Copyright © 2000 - 2017 MantisBT Team
Contact
Powered by Mantis Bugtracker